Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038737
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-06-12 11:322018-06-18 08:44
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision81a20697ebeb
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038737: JDK 11: [dep-ann] warning due to ReportingUtils.exportJR method

DescriptionWhen building Openbravo with JDK11, the following [dep-ann] warning appears:

compileSqlc:
    [javac] Compiling 1684 source files to /home/openbravo/src/openbravo/pi/build/classes
    [javac] /home/openbravo/src/openbravo/pi/modules/org.openbravo.client.application/src/org/openbravo/client/application/report/ReportingUtils.java:289: warning: [dep-ann] deprecated item is not annotated with @Deprecated
    [javac] public static void exportJR(String jasperFilePath, ExportType expType,
    [javac] ^
    [javac] 1 warning
Steps To Reproduce1. Build Openbravo with Java 11
  -> Check warnings
Proposed SolutionAdd missing @Deprecated annotation to the ReportingUtils.exportJR method
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0038130 closedcaristu support JDK 11 
related to feature request 0037741 closedcaristu Ability to keep in cache the compiled Jasper Reports 

-  Notes
(0105087)
hgbot (developer)
2018-06-12 11:37

Repository: erp/devel/pi
Changeset: 81a20697ebeb7cccc99953a380896362cba0a396
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Jun 12 11:37:25 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/81a20697ebeb7cccc99953a380896362cba0a396 [^]

fixes issue 38737: Add missing @Deprecated annotation

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/report/ReportingUtils.java
---
(0105133)
hudsonbot (developer)
2018-06-13 21:36

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/3aea2ba95cc7 [^]
Maturity status: Test
(0105170)
alostale (developer)
2018-06-15 10:43

reviewed

- Issue History
Date Modified Username Field Change
2018-06-12 11:32 caristu New Issue
2018-06-12 11:32 caristu Assigned To => alostale
2018-06-12 11:32 caristu Modules => Core
2018-06-12 11:32 caristu Triggers an Emergency Pack => No
2018-06-12 11:32 caristu Issue generated from 0037942
2018-06-12 11:32 caristu Assigned To alostale => caristu
2018-06-12 11:33 caristu Relationship added related to 0038130
2018-06-12 11:33 caristu Relationship added related to 0037741
2018-06-12 11:37 hgbot Checkin
2018-06-12 11:37 hgbot Note Added: 0105087
2018-06-12 11:37 hgbot Status new => resolved
2018-06-12 11:37 hgbot Resolution open => fixed
2018-06-12 11:37 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/81a20697ebeb7cccc99953a380896362cba0a396 [^]
2018-06-12 11:39 caristu Review Assigned To => alostale
2018-06-13 21:36 hudsonbot Checkin
2018-06-13 21:36 hudsonbot Note Added: 0105133
2018-06-15 10:43 alostale Note Added: 0105170
2018-06-15 10:43 alostale Status resolved => closed
2018-06-15 10:43 alostale Fixed in Version => 3.0PR18Q3
2018-06-18 08:44 jarmendariz Review Assigned To alostale => jarmendariz
2018-06-18 08:44 jarmendariz Review Assigned To jarmendariz => alostale


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker